Skip to main content
POST
/
application
/
{applicationId}
/
customDomain
Add custom domain to the application.
curl --request POST \
  --url https://api.qovery.com/application/{applicationId}/customDomain \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "my.domain.tld",
  "generate_certificate": true,
  "use_cdn": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "domain": "my.domain.tld",
  "generate_certificate": true,
  "updated_at": "2023-11-07T05:31:56Z",
  "use_cdn": true,
  "validation_domain": "<string>",
  "status": "VALIDATION_PENDING"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

applicationId
string<uuid>
required

Application ID

Body

application/json
domain
string
required

your custom domain

Example:

"my.domain.tld"

generate_certificate
boolean
required

to control if a certificate has to be generated for this custom domain by Qovery. The default value is true. This flag should be set to false if a CDN or other entities are managing the certificate for the specified domain and the traffic is proxied by the CDN to Qovery.

use_cdn
boolean

Indicates if the custom domain is behind a CDN (i.e Cloudflare). This will condition the way we are checking CNAME before & during a deployment:

  • If true then we only check the domain points to an IP
  • If false then we check that the domain resolves to the correct service Load Balancer

Response

Added application custom domain

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
domain
string
required

your custom domain

Example:

"my.domain.tld"

generate_certificate
boolean
required

to control if a certificate has to be generated for this custom domain by Qovery. The default value is true. This flag should be set to false if a CDN or other entities are managing the certificate for the specified domain and the traffic is proxied by the CDN to Qovery.

updated_at
string<date-time>
read-only
use_cdn
boolean

Indicates if the custom domain is behind a CDN (i.e Cloudflare). This will condition the way we are checking CNAME before & during a deployment:

  • If true then we only check the domain points to an IP
  • If false then we check that the domain resolves to the correct service Load Balancer
validation_domain
string

URL provided by Qovery. You must create a CNAME on your DNS provider using that URL

status
enum<string>
Available options:
VALIDATION_PENDING
Example:

"VALIDATION_PENDING"